export declare type CompareResult = -1 | 0 | 1;
export declare type Comparator<T> = (a: T, b: T) => CompareResult;
export declare const compare: <T>(a: T, b: T) => CompareResult;
export declare const reverse: <T>(comparator: Comparator<T>) => Comparator<T>;
export declare const compareBy: <T, R>(fn: (x: T) => R, compareFn?: Comparator<R>) => (a: T, b: T) => import("../../components/validation/operators").CompareResult;
export declare const sortBy: <T, R>(getValue: (x: T) => R, xs: T[]) => T[];
